diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
index dd9874976..d1ee8b3b3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
@@ -68,25 +68,6 @@ define('pgadmin.node.cast', [
 
       },
 
-      // Define the backform model for cast node
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-
-        // Define the schema for cast
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          editable: false, type: 'text', readonly: true, cellHeaderClasses: 'width_percent_50',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          editable: false, type: 'text', mode: ['properties'],
-        },
-        {
-          id: 'description', label: gettext('Comment'),
-          type: 'multiline', cellHeaderClasses: 'width_percent_50',
-        },
-        ],
-      }),
-
       getSchema: function(treeNodeInfo, itemNodeData){
         return new CastSchema({
           getTypeOptions: ()=>getNodeAjaxOptions('get_type', this, treeNodeInfo, itemNodeData),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/static/js/event_trigger.js b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/static/js/event_trigger.js
index c6d7a7e51..5e830af87 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/static/js/event_trigger.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/static/js/event_trigger.js
@@ -12,9 +12,8 @@ import { getNodeListByName, getNodeAjaxOptions } from '../../../../../../static/
 
 define('pgadmin.node.event_trigger', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'sources/pgadmin', 'pgadmin.browser',
-  'pgadmin.backform', 'pgadmin.browser.collection',
-], function(gettext, url_for, $, _, pgAdmin, pgBrowser, Backform) {
+  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.browser.collection',
+], function(gettext, url_for, $, _, pgAdmin, pgBrowser) {
 
   // Extend the browser's collection class for event trigger collection
   if (!pgBrowser.Nodes['coll-event_trigger']) {
@@ -80,132 +79,6 @@ define('pgadmin.node.event_trigger', [
           }
         );
       },
-      // Define the model for event trigger node
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-        defaults: {
-          oid: undefined,
-          name: undefined,
-          eventowner: undefined,
-          is_sys_obj: undefined,
-          comment: undefined,
-          enabled: 'O',
-          eventfuncoid: undefined,
-          eventfunname: undefined,
-          eventname: 'DDL_COMMAND_START',
-          when: undefined,
-          xmin: undefined,
-          source: undefined,
-          language: undefined,
-        },
-
-        // Default values!
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-
-            this.set({'eventowner': userInfo.name}, {silent: true});
-          }
-          pgAdmin.Browser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-
-        // Define the schema for the event trigger node
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text', mode: ['properties'],
-        },{
-          id: 'eventowner', label: gettext('Owner'), cell: 'string',
-          type: 'text', mode: ['properties', 'edit','create'], node: 'role',
-          control: Backform.NodeListByNameControl,
-        },{
-          id: 'is_sys_obj', label: gettext('System event trigger?'),
-          cell:'boolean', type: 'switch',
-          mode: ['properties'],
-        },{
-          id: 'comment', label: gettext('Comment'), type: 'multiline',
-        },{
-          id: 'enabled', label: gettext('Trigger enabled?'),
-          group: gettext('Definition'), mode: ['properties', 'edit','create'],
-          options: [
-            {label: gettext('Enable'), value: 'O'},
-            {label: gettext('Disable'), value: 'D'},
-            {label: gettext('Replica'), value: 'R'},
-            {label: gettext('Always'), value: 'A'},
-          ],
-          control: 'select2', select2: { allowClear: false, width: '100%' },
-        },{
-          id: 'eventfunname', label: gettext('Trigger function'),
-          type: 'text', control: 'node-ajax-options', group: gettext('Definition'),
-          url:'fopts', cache_node: 'trigger_function',
-        },{
-          id: 'eventname', label: gettext('Event'),
-          group: gettext('Definition'), cell: 'string',
-          options: [
-            {label: gettext('DDL COMMAND START'), value: 'DDL_COMMAND_START'},
-            {label: gettext('DDL COMMAND END'), value: 'DDL_COMMAND_END'},
-            {label: gettext('SQL DROP'), value: 'SQL_DROP'},
-          ],
-          control: 'select2', select2: { allowClear: false, width: '100%' },
-        },{
-          id: 'when', label: gettext('When TAG in'),  cell: 'string',
-          type: 'text', group: gettext('Definition'),
-          control: Backform.SqlFieldControl,
-          extraClasses:['custom_height_css_class'],
-        },{
-          id: 'seclabels', label: gettext('Security labels'),
-          model: pgBrowser.SecLabelModel, editable: false, type: 'collection',
-          group: gettext('Security'), mode: ['edit', 'create'],
-          min_version: 90200, canAdd: true,
-          canEdit: false, canDelete: true, control: 'unique-col-collection',
-        },
-        ],
-        // event trigger model data validation.
-        validate: function() {
-          var msg = undefined;
-          // Clear any existing error msg.
-          this.errorModel.clear();
-
-          if (_.isUndefined(this.get('name'))
-              || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Event trigger name cannot be empty.');
-            this.errorModel.set('name', msg);
-            return msg;
-          }
-
-          if (_.isUndefined(this.get('eventowner'))
-              || String(this.get('eventowner')).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Event trigger owner cannot be empty.');
-            this.errorModel.set('eventowner', msg);
-            return msg;
-          }
-
-          if (_.isUndefined(this.get('enabled'))) {
-            msg = gettext('Event trigger enabled status cannot be empty.');
-            this.errorModel.set('enabled', msg);
-            return msg;
-          }
-
-          if (_.isUndefined(this.get('eventfunname'))
-              || String(this.get('eventfunname')).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Event trigger function cannot be empty.');
-            this.errorModel.set('eventfunname', msg);
-            return msg;
-          }
-
-          if (_.isUndefined(this.get('eventname'))) {
-            msg = gettext('Event trigger event cannot be empty.');
-            this.errorModel.set('eventname', msg);
-            return msg;
-          }
-
-          return null;
-        },
-      }),
     });
 
   }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js b/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js
index 6045b0c75..82001e107 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js
@@ -13,9 +13,8 @@ import ExtensionsSchema from './extension.ui';
 
 define('pgadmin.node.extension', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'sources/pgadmin', 'pgadmin.browser',
-  'pgadmin.backform', 'pgadmin.browser.collection',
-], function(gettext, url_for, $, _, pgAdmin, pgBrowser, Backform) {
+  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.browser.collection',
+], function(gettext, url_for, $, _, pgAdmin, pgBrowser) {
 
   /*
    * Create and Add an Extension Collection into nodes
@@ -96,109 +95,6 @@ define('pgadmin.node.extension', [
        * Define model for the Node and specify the properties
        * of the model in schema.
        */
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-        schema: [
-          {
-            id: 'name', label: gettext('Name'), first_empty: true,
-            type: 'text', mode: ['properties', 'create', 'edit'],
-            visible: true, url:'avails', readonly: function(m) {
-              return !m.isNew();
-            },
-            transform: function(data, cell) {
-              var res = [],
-                control = cell || this,
-                label = control.model.get('name');
-
-              if (!control.model.isNew()) {
-                res.push({label: label, value: label});
-              }
-              else {
-                if (data && _.isArray(data)) {
-                  _.each(data, function(d) {
-                    if (d.installed_version === null)
-
-                      /*
-                       * d contains json data and sets into
-                       * select's option control
-                       *
-                       * We need to stringify data because formatter will
-                       * convert Array Object as [Object] string
-                       */
-                      res.push({label: d.name, value: JSON.stringify(d)});
-                  });
-                }
-              }
-              return res;
-            },
-
-            /*
-             * extends NodeAjaxOptionsControl to override the properties
-             * getValueFromDOM which takes stringified data from option of
-             * select control and parse it. And `onChange` takes the stringified
-             * data from select's option, thus convert it to json format and set the
-             * data into Model which is used to enable/disable the schema field.
-             */
-            control: Backform.NodeAjaxOptionsControl.extend({
-              getValueFromDOM: function() {
-                var data = this.formatter.toRaw(
-                  _.unescape(this.$el.find('select').val()), this.model);
-                /*
-                 * return null if data is empty to prevent it from
-                 * throwing parsing error. Adds check as name can be empty
-                 */
-                if (data === '') {
-                  return null;
-                }
-                else if (typeof(data) === 'string') {
-                  data=JSON.parse(data);
-                }
-                return data.name;
-              },
-
-              /*
-               * When name is changed, extract value from its select option and
-               * set attributes values into the model
-               */
-              onChange: function() {
-                Backform.NodeAjaxOptionsControl.prototype.onChange.apply(
-                  this, arguments
-                );
-                var selectedValue = this.$el.find('select').val();
-                if (selectedValue.trim() != '') {
-                  var d = this.formatter.toRaw(selectedValue, this.model);
-                  if(typeof(d) === 'string')
-                    d=JSON.parse(d);
-                  this.model.set({
-                    'version' : '',
-                    'relocatable': (
-                      (!_.isNull(d.relocatable[0]) &&
-                        !_.isUndefined(d.relocatable[0])) ? d.relocatable[0]: ''
-                    ),
-                  });
-                } else {
-                  this.model.set({
-                    'version': '', 'relocatable': true, 'schema': '',
-                  });
-                }
-              },
-            }),
-          },
-          {
-            id: 'oid', label: gettext('OID'), cell: 'string',
-            type: 'text', mode: ['properties'],
-          },
-          {
-            id: 'owner', label: gettext('Owner'), control: 'node-list-by-name',
-            mode: ['properties'], node: 'role', cell: 'string',
-            cache_level: 'server',
-          },
-          {
-            id: 'comment', label: gettext('Comment'), cell: 'string',
-            type: 'multiline', readonly: true,
-          },
-        ],
-      }),
       getSchema: (treeNodeInfo, itemNodeData)=>{
         let nodeObj = pgAdmin.Browser.Nodes['extension'];
         return new ExtensionsSchema(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js
index 8f0ed95ef..4dc85aae0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js
@@ -13,9 +13,9 @@ import ForeignServerSchema from './foreign_server.ui';
 
 define('pgadmin.node.foreign_server', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'sources/pgadmin',
-  'pgadmin.browser', 'pgadmin.backform', 'pgadmin.browser.collection',
+  'pgadmin.browser', 'pgadmin.browser.collection',
   'pgadmin.browser.server.privilege',
-], function(gettext, url_for, $, _, pgAdmin, pgBrowser, Backform) {
+], function(gettext, url_for, $, _, pgAdmin, pgBrowser) {
 
   // Extend the browser's collection class for foreign server collection
   if (!pgBrowser.Nodes['coll-foreign_server']) {
@@ -82,45 +82,6 @@ define('pgadmin.node.foreign_server', [
           }
         );
       },
-
-      // Defining model for foreign server node
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-
-        // Default values!
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-
-            this.set({'fsrvowner': userInfo.name}, {silent: true});
-          }
-          pgAdmin.Browser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-
-        // Defining schema for the foreign server node
-        schema: [
-          {
-            id: 'name', label: gettext('Name'), cell: 'string',
-            type: 'text', disabled: function() {
-              return (
-                this.mode == 'edit' && this.node_info.server.version < 90200
-              );
-            },
-          }, {
-            id: 'oid', label: gettext('OID'), cell: 'string',
-            type: 'text', mode: ['properties'],
-          }, {
-            id: 'fsrvowner', label: gettext('Owner'), type: 'text',
-            control: Backform.NodeListByNameControl, node: 'role',
-            mode: ['edit', 'create', 'properties'], select2: { allowClear: false },
-          }, {
-            id: 'description', label: gettext('Comment'), cell: 'string',
-            type: 'multiline',
-          },
-        ],
-      }),
     });
 
   }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/static/js/foreign_data_wrapper.js b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/static/js/foreign_data_wrapper.js
index 5c5be3c85..b45be8187 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/static/js/foreign_data_wrapper.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/static/js/foreign_data_wrapper.js
@@ -12,10 +12,10 @@ import { getNodePrivilegeRoleSchema } from '../../../../static/js/privilege.ui';
 import ForeignDataWrapperSchema from './foreign_data_wrapper.ui';
 
 define('pgadmin.node.foreign_data_wrapper', [
-  'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform',
+  'sources/gettext', 'sources/url_for', 'jquery',
+  'sources/pgadmin', 'pgadmin.browser',
   'pgadmin.browser.collection', 'pgadmin.browser.server.privilege',
-], function(gettext, url_for, $, _, pgAdmin, pgBrowser, Backform) {
+], function(gettext, url_for, $, pgAdmin, pgBrowser) {
 
   // Extend the browser's collection class for foreign data wrapper collection
   if (!pgBrowser.Nodes['coll-foreign_data_wrapper']) {
@@ -87,44 +87,6 @@ define('pgadmin.node.foreign_data_wrapper', [
           }
         );
       },
-
-      // Defining model for foreign data wrapper node
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-
-        // Default values!
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-
-            this.set({'fdwowner': userInfo.name}, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-
-        // Defining schema for the foreign data wrapper node
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', readonly: function() {
-            // name field will be disabled only if edit mode
-            return (
-              this.mode == 'edit'
-            );
-          },
-        }, {
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text', mode: ['properties'],
-        }, {
-          id: 'fdwowner', label: gettext('Owner'), type: 'text',
-          control: Backform.NodeListByNameControl, node: 'role',
-          mode: ['edit', 'create', 'properties'], select2: { allowClear: false },
-        }, {
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline',
-        }],
-      }),
     });
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js b/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
index aaabe734d..56dc670a1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
@@ -10,13 +10,12 @@
 import { getNodeAjaxOptions, getNodeListByName } from '../../../../../../static/js/node_ajax';
 import LanguageSchema from './language.ui';
 import { getNodePrivilegeRoleSchema } from '../../../../static/js/privilege.ui';
-import _ from 'lodash';
 
 define('pgadmin.node.language', [
   'sources/gettext', 'sources/url_for', 'jquery',
-  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform',
+  'sources/pgadmin', 'pgadmin.browser',
   'pgadmin.browser.collection', 'pgadmin.browser.server.privilege',
-], function(gettext, url_for, $, pgAdmin, pgBrowser, Backform) {
+], function(gettext, url_for, $, pgAdmin, pgBrowser) {
 
   // Extend the browser's collection class for languages collection
   if (!pgBrowser.Nodes['coll-language']) {
@@ -71,37 +70,6 @@ define('pgadmin.node.language', [
         }]);
       },
 
-      // Define the model for language node
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-
-            this.set({'lanowner': userInfo.name}, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-
-        // Define the schema for the language node
-        schema: [{
-          id: 'name', label: gettext('Name'), type: 'text',
-          mode: ['properties'],
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string', mode: ['properties'],
-          type: 'text',
-        },{
-          id: 'lanowner', label: gettext('Owner'), type: 'text',
-          control: Backform.NodeListByNameControl, node: 'role',
-          mode: ['edit', 'properties', 'create'], select2: { allowClear: false },
-        },
-        {
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline',
-        },
-        ],
-      }),
 
       getSchema: function(treeNodeInfo, itemNodeData){
         return new LanguageSchema(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/static/js/publication.js b/web/pgadmin/browser/server_groups/servers/databases/publications/static/js/publication.js
index b767057cd..697ddf265 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/static/js/publication.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/static/js/publication.js
@@ -12,9 +12,9 @@ import PublicationSchema from './publication.ui';
 
 define('pgadmin.node.publication', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform',
+  'sources/pgadmin', 'pgadmin.browser',
   'pgadmin.browser.collection', 'pgadmin.browser.server.privilege',
-], function(gettext, url_for, $, _, pgAdmin, pgBrowser, Backform) {
+], function(gettext, url_for, $, _, pgAdmin, pgBrowser) {
 
   // Extend the browser's collection class for publications collection
   if (!pgBrowser.Nodes['coll-publication']) {
@@ -23,7 +23,7 @@ define('pgadmin.node.publication', [
         node: 'publication',
         label: gettext('Publications'),
         type: 'coll-publication',
-        columns: ['name', 'pubowner', 'pubtable', 'all_table'],
+        columns: ['name', 'pubowner', 'proptable', 'all_table'],
 
       });
   }
@@ -70,82 +70,7 @@ define('pgadmin.node.publication', [
           icon: 'wcTabIcon icon-publication', data: {action: 'create'},
         }]);
       },
-      // Define the model for publication node
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
 
-        // Default values!
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-
-            this.set({'pubowner': userInfo.name}, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-
-        // Define the schema for the publication node
-        schema: [{
-          id: 'name', label: gettext('Name'), type: 'text',
-          mode: ['properties', 'create', 'edit'],
-          visible: function() {
-            if(!_.isUndefined(this.node_info) && !_.isUndefined(this.node_info.server)
-              && !_.isUndefined(this.node_info.server.version) &&
-                this.node_info.server.version >= 100000) {
-              return true;
-            }
-            return false;
-          },
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string', mode: ['properties'],
-          type: 'text',
-        },{
-          id: 'pubowner', label: gettext('Owner'), type: 'text',
-          control: Backform.NodeListByNameControl, node: 'role',
-          disabled: function(m){
-            if(m.isNew())
-              return true;
-            return false;
-          },
-          mode: ['edit', 'properties', 'create'], select2: { allowClear: false},
-        },{
-          id: 'all_table', label: gettext('All tables?'), type: 'switch',
-          group: gettext('Definition'), mode: ['edit', 'properties', 'create'], deps: ['name'],
-          readonly: function(m) {return !m.isNew();},
-        },
-        {
-          id: 'pubtable', label: gettext('Tables'), type: 'text', group: gettext('Definition'),
-          mode: ['properties'],
-        },
-        ],
-
-
-        /* validate function is used to validate the input given by
-         * the user. In case of error, message will be displayed on
-         * the GUI for the respective control.
-         */
-
-        sessChanged: function() {
-          if (this.sessAttrs['pubtable'] == '' && this.origSessAttrs['pubtable'] == '')
-            return false;
-          return pgBrowser.DataModel.prototype.sessChanged.apply(this);
-        },
-
-        canCreate: function(itemData, item) {
-
-          var treeData = pgBrowser.tree.getTreeNodeHierarchy(item),
-            server = treeData['server'];
-
-          // If server is less than 10 then do not allow 'create' menu
-          if (server && server.version < 100000)
-            return false;
-
-          // by default we want to allow create menu
-          return true;
-        },
-
-      }),
 
       getSchema: function(treeNodeInfo, itemNodeData){
         return new PublicationSchema(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/static/js/publication.ui.js b/web/pgadmin/browser/server_groups/servers/databases/publications/static/js/publication.ui.js
index 46cfb0e87..55736d4b0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/static/js/publication.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/static/js/publication.ui.js
@@ -147,7 +147,7 @@ export default class PublicationSchema extends BaseUISchema {
       group: gettext('Definition'), mode: ['edit', 'create'],
       deps: ['all_table'], disabled: obj.isAllTable,
     },{
-      id: 'pubtable', label: gettext('Tables'), type: 'text', group: gettext('Definition'),
+      id: 'proptable', label: gettext('Tables'), type: 'text', group: gettext('Definition'),
       mode: ['properties'],
     },{
       type: 'nested-fieldset', mode: ['create','edit', 'properties'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/aggregates/static/js/aggregate.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/aggregates/static/js/aggregate.js
index 25c0f04fc..df8d9b4f9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/aggregates/static/js/aggregate.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/aggregates/static/js/aggregate.js
@@ -45,37 +45,6 @@ define('pgadmin.node.aggregate', [
 
         this.initialized = true;
       },
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-
-        // Default values!
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-            var schemaInfo = args.node_info.schema;
-
-            this.set({'owner': userInfo.name}, {silent: true});
-            this.set({'schema': schemaInfo._label}, {silent: true});
-          }
-          pgAdmin.Browser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-
-        schema: [{
-          id: 'name', label: gettext('Aggregate'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-        },{
-          id: 'owner', label: gettext('Owner'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-          control: 'node-list-by-name',
-          node: 'role',
-        },{
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', mode: ['properties', 'create', 'edit'],
-        }
-        ],
-      }),
       getSchema: ()=>{
         return new AggregateSchema();
       }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/static/js/catalog_object_column.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/static/js/catalog_object_column.js
index 8785d147a..e1152eb22 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/static/js/catalog_object_column.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/static/js/catalog_object_column.js
@@ -45,32 +45,6 @@ define('pgadmin.node.catalog_object_column', [
         getSchema: function() {
           return new CatalogObjectColumnSchema();
         },
-        model: pgAdmin.Browser.Node.Model.extend({
-          defaults: {
-            attname: undefined,
-            attowner: undefined,
-            atttypid: undefined,
-            attnum: undefined,
-            cltype: undefined,
-            collspcname: undefined,
-            attacl: undefined,
-            is_sys_obj: undefined,
-            description: undefined,
-          },
-          schema: [{
-            id: 'attname', label: gettext('Column'), cell: 'string',
-            type: 'text', readonly: true,
-          },{
-            id: 'attnum', label: gettext('Position'), cell: 'string',
-            type: 'text', readonly: true,
-          },{
-            id: 'cltype', label: gettext('Data type'), cell: 'string',
-            group: gettext('Definition'), type: 'text', readonly: true,
-          },{
-            id: 'description', label: gettext('Comment'), cell: 'string',
-            type: 'multiline', readonly: true,
-          }],
-        }),
       });
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/static/js/catalog_object.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/static/js/catalog_object.js
index 06753a427..dac46721a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/static/js/catalog_object.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/static/js/catalog_object.js
@@ -43,31 +43,6 @@ define('pgadmin.node.catalog_object', [
 
       },
       getSchema: ()=>new CatalogObjectSchema(),
-      /* Few fields are kept since the properties tab for collection is not
-      yet migrated to new react schema. Once the properties for collection
-      is removed, remove this model */
-      model: pgAdmin.Browser.Node.Model.extend({
-        defaults: {
-          name: undefined,
-          namespaceowner: undefined,
-          nspacl: undefined,
-          description: undefined,
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', readonly: true,
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text',
-        },{
-          id: 'owner', label: gettext('Owner'), cell: 'string',
-          type: 'text', readonly: true,
-        },{
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline' ,  readonly: true,
-        },
-        ],
-      }),
 
     });
 
